commit:     952ac9932773a8ba87f28ce56beea0441cef1568
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  2 19:02:41 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Sat Jun  2 19:02:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=952ac993

dev-libs/pkcs11-helper: version bump

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-libs/pkcs11-helper/Manifest                  |  1 +
 dev-libs/pkcs11-helper/pkcs11-helper-1.23.ebuild | 39 ++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-libs/pkcs11-helper/Manifest b/dev-libs/pkcs11-helper/Manifest
index afb3baabc25..b0f0f947d41 100644
--- a/dev-libs/pkcs11-helper/Manifest
+++ b/dev-libs/pkcs11-helper/Manifest
@@ -1 +1,2 @@
 DIST pkcs11-helper-1.21.tar.bz2 417527 BLAKE2B 
39b2b405ada79e0077c810b3537853051bbaf1cb4d79bedaedf04156066b573c9186ee587c869ed49053a0b471fa239447edef71184d421fb6ac2e65e3a58830
 SHA512 
064b04c1ece2db0757e14263955c0f7488edde5f5f4415ebda9c4370e608d7df681706ddefcdba2392e5642d00ebd4c211f15266bb39baf8da46ffaec4f3e572
+DIST pkcs11-helper-1.23.tar.bz2 425238 BLAKE2B 
d67c6d299dbb5e23330ab44dd4f3b3133843a0018503e8d9c53ab18343dd3206ea7a1110db8cb0c8c5c1a6569b876a2b81ca7496302cc073691abd3693fd00ea
 SHA512 
d2116e602edf98ec409163d7e1d4eed7b849dd9680fcb7b46e37022a49581a2e88605f3420dbc0936133084715bdf431b34ae96b7dedadcb13ffeb4798f92c54

diff --git a/dev-libs/pkcs11-helper/pkcs11-helper-1.23.ebuild 
b/dev-libs/pkcs11-helper/pkcs11-helper-1.23.ebuild
new file mode 100644
index 00000000000..02e44a3a603
--- /dev/null
+++ b/dev-libs/pkcs11-helper/pkcs11-helper-1.23.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit ltprune
+
+DESCRIPTION="PKCS#11 helper library"
+HOMEPAGE="https://github.com/OpenSC/pkcs11-helper";
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.bz2";
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="doc gnutls libressl nss static-libs"
+
+RDEPEND="
+       !libressl? ( >=dev-libs/openssl-0.9.7:= )
+       libressl? ( dev-libs/libressl )
+       gnutls? ( >=net-libs/gnutls-1.4.4 )
+       nss? ( dev-libs/nss )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       doc? ( >=app-doc/doxygen-1.4.7 )"
+
+src_configure() {
+       econf \
+               --disable-crypto-engine-polarssl \
+               --disable-crypto-engine-mbedtls \
+               $(use_enable doc) \
+               $(use_enable gnutls crypto-engine-gnutls) \
+               $(use_enable nss crypto-engine-nss) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       prune_libtool_files
+}

Reply via email to